### Method

# Pango Item split

#### Declaration [src]

    PangoItem*
    pango_item_split (
      PangoItem* orig,
      int split_index,
      int split_offset
    )

#### Description [src]

Modifies `orig` to cover only the text after `split_index`, and returns a new item that covers the text before `split_index` that used to be in `orig`.

You can think of `split_index` as the length of the returned item. `split_index` may not be 0, and it may not be greater than or equal to the length of `orig` (that is, there must be at least one byte assigned to each item, you can’t create a zero-length item). `split_offset` is the length of the first item in chars, and must be provided because the text used to generate the item isn’t available, so `pango_item_split()` can’t count the char length of the split items itself.

#### Parameters

`split_index`

  Type: `int`

  Byte index of position to split item, relative to the start of the item.

`split_offset`

  Type: `int`

  Number of chars between start of `orig` and `split_index`.

#### Return value

Type: `PangoItem`

New item representing text before `split_index`, which should be freed with `pango_item_free()`.

The caller of the method takes ownership of the data, and is responsible for freeing it.